Change log for lsb package in Debian

148 of 48 results
Published in buster-release on 2017-08-27
Published in sid-release on 2017-08-07
lsb (9.20170808) unstable; urgency=medium

  * Remove Jeff Licquia from Uploaders, with thanks for his past work
    (Closes: #854224)
  * Fix number-to-release typo in lsb-release's README.Debian (Closes: #862041)

 -- Didier Raboud <email address hidden>  Mon, 07 Aug 2017 10:50:21 -0400
Superseded in buster-release on 2017-08-27
Published in stretch-release on 2016-12-01
Superseded in sid-release on 2017-08-27
lsb (9.20161125) unstable; urgency=medium

  [ Didier Raboud ]
  * Test the distro-info non-Debian fallback, to fix #845489
  * Also run the tests for all pyversions (Python 2.7 only)
  * Fix regressions on python2 (Closes: #845489)

  [ Philipp Hahn ]
  * Strip leading spaces in get_lsb_header_val (Closes: #837639)

 -- Didier Raboud <email address hidden>  Fri, 25 Nov 2016 16:15:24 +0100
Superseded in stretch-release on 2016-12-01
Superseded in sid-release on 2016-11-26
lsb (9.20161101) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate Build-Depends: python3-all with :any (Closes: #841679)
  * Add support for DEB_BUILD_OPTIONS=nocheck

 -- Didier Raboud <email address hidden>  Tue, 01 Nov 2016 22:00:00 +0100
Superseded in stretch-release on 2016-11-07
Superseded in sid-release on 2016-11-02
lsb (9.20161016) unstable; urgency=medium

  * Introduce the new lsb-compat package, providing a limited compatibility
    layer for some selected LSB packages
    - Provides, and replaces lsb & lsb-core
    - Should be sufficient to install and run:
      - Epson printer drivers (LP: #1536353)
      - Google Earth (Closes: #830481)

 -- Didier Raboud <email address hidden>  Sun, 16 Oct 2016 15:55:46 +0200
Superseded in stretch-release on 2016-10-24
Superseded in sid-release on 2016-10-18
lsb (9.20160629) unstable; urgency=medium

  [ Helge Deller ]
  * Update lsb_release.py to cope with the new Debian Ports' release label
    (Closes: #827137)

 -- Didier Raboud <email address hidden>  Wed, 29 Jun 2016 18:13:15 +0200
Superseded in stretch-release on 2016-07-05
Superseded in sid-release on 2016-06-30
lsb (9.20160601) unstable; urgency=medium

  * Revert "Add 01-upstart-lsb from the upstart package, and make executing
    rc.d scripts no-op if there is an upstart job for that script"
    (Closes: #825946)
  * Bump Standards-Version to 3.9.8 without changes needed

 -- Didier Raboud <email address hidden>  Wed, 01 Jun 2016 08:46:56 +0200
Superseded in stretch-release on 2016-06-06
Superseded in sid-release on 2016-06-01
lsb (9.20160110) unstable; urgency=medium

  * Merge the last Ubuntu diff

  [ Stéphane Graber & Dimitri John Ledkov ]
  * Add 01-upstart-lsb from the upstart package, and make executing rc.d
    scripts no-op if there is an upstart job for that script

 -- Didier Raboud <email address hidden>  Sun, 10 Jan 2016 12:32:59 +0100
Superseded in stretch-release on 2016-01-16
Superseded in sid-release on 2016-01-10
lsb (9.20150917) unstable; urgency=medium

  * Demote Build-Depends from python3-all-dev to python3-all (Closes: #799210)

 -- Didier Raboud <email address hidden>  Thu, 17 Sep 2015 10:10:29 +0200
Superseded in stretch-release on 2015-09-25
Superseded in sid-release on 2015-09-17
lsb (9.20150826) unstable; urgency=low

  * Drop all the LSB compatibility packages besides lsb-release and lsb-base
    - Drop packages-availability checking in lsb-release
    - Truncate README.Debian to a minimum
    - Document this in lsb-base.NEWS.Debian
  * Change the versioning number to avoid any ambiguity; use joeyh's
    version.date, with version being Debian next stable's

 -- Didier Raboud <email address hidden>  Wed, 26 Aug 2015 12:00:00 +0200
Deleted in experimental-release (Reason: None provided.)
lsb (4.1+Debian14+exp0) experimental; urgency=low

  * Drop all the LSB compatibility packages besides lsb-release and lsb-base
    - Drop packages-availability checking in lsb-release
    - Truncate README.Debian to a minimum
    - Document this in lsb-base.NEWS.Debian

 -- Didier Raboud <email address hidden>  Wed, 12 Aug 2015 19:59:17 +0200
Superseded in stretch-release on 2015-09-14
Superseded in sid-release on 2015-09-11
lsb (4.1+Debian14) unstable; urgency=low

  [ Alexandre Detiste ]
  * Convert packaging to Debhelper 9
  * Port to python3, keep compatibility symlink for lsb_release.py
    (Closes: #719063)

  [ Mert Dirik ]
  * Add Turkish translation of lsb debconf messages (Closes: #757509)

  [ Didier Raboud ]
  * Add gbp.conf
  * Rework the releases codename handling:
    - Depend and Build-Depend on distro-info-data, and populate the
      RELEASES_CODENAME_LOOKUP from that reference
    - Drop meaningless tests trying to compare random release names
  * Make sure '-proposed-updates' don't sort before unstable
  * Actuall ignore suites when guessing the release from apt
  * Fix comparison of testing codename (Closes: #691744)
  * Bump Standards-Version to 3.9.6 without changes needed

 -- Didier Raboud <email address hidden>  Wed, 12 Aug 2015 17:09:55 +0200
Superseded in stretch-release on 2015-08-23
Published in jessie-release on 2014-10-30
Superseded in sid-release on 2015-08-13
lsb (4.1+Debian13+nmu1) unstable; urgency=medium


  [ Ondřej Surý]
  * Non-maintainer upload with maintainer agreement
  * Change libjpeg62 dependency to libjpeg62-turbo (Closes: #766023)

 -- Ondřej Surý <email address hidden>  Mon, 20 Oct 2014 11:37:56 +0200
Superseded in jessie-release on 2014-10-30
Superseded in sid-release on 2014-10-20
lsb (4.1+Debian13) unstable; urgency=medium


  [ Steve Langasek ]
  * test/test_lsb_release.py: also, make lsb_release ignore dpkg origins for
    the test, otherwise the test fails on derivatives.

  [ Colin Watson ]
  * Use open() rather than file() in initdutils.py, for Python 3 compatibility
    (see LP #1035136)
  * Test fileob and strob against None in RFC822Parser.__init__ rather than
    testing their truth value, to avoid a misleading error in the case of a
    file with no LSB headers

  [ Adam Conrad ]
  * Allow lsb-printing to depend on cups-filters | ghostscript-cups

  [ Didier Raboud ]
  * Revert "Fix the remaining problems of initdutils.py python3 compatibility"
    (Closes: #743903)
  * Allow multiarch alternatives of libc6-i386 and lib32z1.
    Thanks to Michael Biebl (Closes: #748426)

  [ Marcel Partap ]
  * In lsb_release, don't forget CODENAME when it's testing; therefore stop
  * calling apt-cache policy again (Closes: #747413)

 -- Didier Raboud <email address hidden>  Mon, 09 Jun 2014 08:07:23 +0200
Published in wheezy-release on 2013-06-15
lsb (4.1+Debian8+deb7u1) stable; urgency=low


  * Fix lsb_release to correctly work with stable release updates
    incrementing the second digit from Wheezy on. (Closes: #711174)
  * Add jessie to the release codenames lookup table

 -- Didier Raboud <email address hidden>  Wed, 05 Jun 2013 12:38:11 +0200
Superseded in jessie-release on 2014-06-14
Superseded in sid-release on 2014-06-10
lsb (4.1+Debian12) unstable; urgency=low


  [ Colin Watson ]
  * Depend directly on libnss3 and libnspr4 rather than via the
    transitional packages libnss3-1d and libnspr4-0d.

  [ Didier Raboud ]
  * Drop one more unnecessary use of /bin/echo -n.
  * Fix lsb_release to correctly work with stable release updates
    incrementing the second digit from Wheezy on. (Closes: #711174)

 -- Didier Raboud <email address hidden>  Wed, 05 Jun 2013 12:30:53 +0200
Superseded in jessie-release on 2013-06-16
Superseded in sid-release on 2013-06-07
lsb (4.1+Debian11) unstable; urgency=low


  [ Steve Langasek ]
  * add -Es to the lsb_release python shebang, as discussed in
    <https://lists.debian.org/debian-python/2012/10/msg00021.html>.
  * Fix debian/copyright to list the correct Canonical copyright for the
    Ubuntu logging functions.
  * Correct duplicate reference to log_action_end_msg_post in
    debian/lsb-base.README.Debian.
  * debian/rules: fix the build on Ubuntu derivatives when building only the
    arch-dependent packages.

  [ Didier Raboud ]
  * Add jessie to the release codenames lookup table
  * Get Distributor ID from /etc/dpkg/origins/default if existant
    (Closes: #703677)
  * Bump Standards-Version to 3.9.4 without changes needed
  * Correct lsb-desktop.NEWS syntax errors

 -- Didier Raboud <email address hidden>  Wed, 15 May 2013 22:15:05 +0200
Superseded in sid-release on 2013-05-16
lsb (4.1+Debian10) unstable; urgency=low


  [ Steve Langasek ]
  * Fix the remaining problems of initdutils.py python3 compatibility
    (Closes: #673586)
  * Revert unnecessary use of /bin/echo -n (Closes: #708337)

  [ Didier Raboud ]
  * Compress source with xz

 -- Didier Raboud <email address hidden>  Wed, 15 May 2013 11:06:44 +0200
Superseded in jessie-release on 2013-05-26
Superseded in sid-release on 2013-05-16
lsb (4.1+Debian9) unstable; urgency=low


  [ Jeff Licquia ]
  * Sanity-check pidofproc parameters. (Closes: #691422)

 -- Didier Raboud <email address hidden>  Mon, 12 Nov 2012 08:58:04 +0100
Deleted in experimental-release (Reason: None provided.)
lsb (4.1+Debian8+exp0) experimental; urgency=low


  [ Jeff Licquia ]
  * Fix initdutils for compatibility with Python 3.
  * Sanity-check pidofproc parameters (Closes: #691422)

 -- Didier Raboud <email address hidden>  Sat, 10 Nov 2012 17:00:30 +0100
Superseded in wheezy-release on 2013-06-15
Superseded in sid-release on 2012-11-17
lsb (4.1+Debian8) unstable; urgency=low


  * Fix libqt3-mt missing epoch.
  * Hide the stderr output of $(initctl version) in init_is_upstart.
    (Closes: #682032)

 -- Didier Raboud <email address hidden>  Mon, 05 Nov 2012 12:03:33 +0100
Superseded in wheezy-release on 2012-11-16
Superseded in sid-release on 2012-11-06
lsb (4.1+Debian7) unstable; urgency=low


  * lsb-desktop: Demote Qt3 dependency to a Recommends. Closes: #604360
    - Add a README.Debian to lsb-desktop to document the possibility to
      install Qt3 from snapshot.debian.org;
    - Add a NEWS.Debian to lsb-desktop to document the derogation to the
      LSB 4.1 specification.

  * Accept utf-8 in `apt-cache policy` and `dpkg-query` outputs; add
    test-case. (Closes: #675618)

 -- Didier Raboud <email address hidden>  Sun, 10 Jun 2012 23:18:07 +0200
Superseded in wheezy-release on 2012-06-26
Superseded in sid-release on 2012-06-25
lsb (4.1+Debian6) unstable; urgency=low


  * Revert "Allow FANCYTTY to be sourced from /etc/default/rcS." This
    avoids one ugly `set +u` in the $() subshell and avoids the hijack
    of /etc/default/rcS. (Reopens: #673207, Closes: #675162, #675197)

 -- Didier Raboud <email address hidden>  Wed, 30 May 2012 19:27:22 +0200
Superseded in sid-release on 2012-06-01
lsb (4.1+Debian5) unstable; urgency=low


  * lsb-base; init-functions:
    - Correct comment about hooks.
    - Enhance doc about files sourced from init-functions
    - Allow FANCYTTY to be sourced from /etc/default/rcS. (Closes: #673207)
    - Safe-guard calls to echo with `|| true`; this helps towards making
      sure init.d scripts called with `set -e` continue to work, see
      #661002.

  * lsb-release; python code:
    - In guess_debian_release(), avoid calling guess_release_from_apt()
      and hence the slow `apt-cache policy` if a codename is already
      provided. Patch by Francois Gouget. (Closes: #674143)
    - Add unittests for all lsb_release.py functions.
    - Upgrade to python3-compatible syntax.
    - Deprecate the lsb_release.compare_releases() function.

  * lsb-invalid-mta;
    -  Add the /usr/lib/sendmail symlink to /usr/sbin/sendmail.
       (LP: #580914)

 -- Didier Raboud <email address hidden>  Tue, 29 May 2012 09:33:04 +0200
Superseded in wheezy-release on 2012-06-10
Superseded in sid-release on 2012-05-30
lsb (4.1+Debian4) unstable; urgency=low


  * In init-functions, include hooks from /lib/lsb/init-functions.d
    - Source any file in there.
    - Document that in lsb-base.README.
    - Put the Ubuntu logging functions in there; remove the now-obsolete
      configuration file with dpkg-maintscript-helper.
    - Move the "Fancy output left info blocks" in there.

  * Python code: Add an initial (but incomplete) unittest framework for python
    2.7 and 3.2.

  * Properly document the first version with init_is_upstart.
  * Avoid writing the now useless lsb-qt4.substvars file.

 -- Didier Raboud <email address hidden>  Fri, 18 May 2012 22:06:07 +0200
Superseded in wheezy-release on 2012-05-29
Superseded in sid-release on 2012-05-19
lsb (4.1+Debian3) unstable; urgency=low


  [ Didier Raboud ]
  * Compress the orig source tarball with bzip2.
  * Update LSB and packages versions in README.Debian.
  * Fix typo in lsb-invalid-mta's Description.
  * Drop empty directory in lsb-base.
    Instead of moving lsb-base-logging.sh to /etc/lsb/, drop the empty /etc/lsb.
    (Closes: #671730)

  [ Steve Langasek ]
  * Add a new helper function: init_is_upstart().
    init_is_upstart() is to be used by init scripts of upstart-aware packages to
    render the init script inert when upstart is present.
    Signed-off-by: Didier Raboud <email address hidden> (Closes: #661109)

 -- Didier Raboud <email address hidden>  Mon, 07 May 2012 19:21:36 +0200
Superseded in wheezy-release on 2012-05-18
Superseded in sid-release on 2012-05-08
lsb (4.1+Debian2) unstable; urgency=low


  * Fancy output:
    - Avoid two superfluous calls to /bin/echo.
    - Make the cursor invisible when printing the status block.
  * Make sure OPTIND is marked local for each use. (Closes: #669909)

 -- Didier Raboud <email address hidden>  Tue, 24 Apr 2012 21:33:39 +0200
Superseded in sid-release on 2012-04-28
lsb (4.1+Debian1) unstable; urgency=low


  * lsb-base: Upload the new "Fancy output" to unstable:
    - Move information from NEWS.Debian to README.Debian, enhance it.

  * pidofproc(): Make sure to try /bin/pidof when no pidfile is
    specified. (Closes: #668958)
  * In killproc(), make sure to exit 0 when the program is not running
    and when no signal was specified. (Closes: #668416)

 -- Didier Raboud <email address hidden>  Thu, 19 Apr 2012 11:25:01 +0200
Deleted in experimental-release (Reason: None provided.)
lsb (4.1+Debian0+fancy1) experimental; urgency=low


  * Fancy output: prepend [info] blocks to log_action_msg calls.

 -- Didier Raboud <email address hidden>  Thu, 12 Apr 2012 21:20:09 +0200
Deleted in experimental-release (Reason: None provided.)
lsb (4.1+Debian0+fancy0) experimental; urgency=low


  * Make the init.d scripts messages fancier by prepending them a [....]
    block that becomes [ ok ], [warn] or [FAIL] depending on the daemons
    exit statuses (Closes: #416485).
    - Update lsb-base' README.Debian and NEWS.

 -- Didier Raboud <email address hidden>  Sat, 31 Mar 2012 18:49:23 +0200
Superseded in wheezy-release on 2012-05-05
Superseded in sid-release on 2012-04-20
lsb (4.1+Debian0) unstable; urgency=low


  * Upload LSB 4.1 support to unstable.
  * Add lsb-languages to lsb Depends.
  * Drop lsb suggests, obsoleted by dependencies changes.
  * Make init-functions' status_of_proc return the LSB-documented 3 on
    inexistant pidfiles. (Closes: #664621)

 -- Didier Raboud <email address hidden>  Mon, 26 Mar 2012 22:54:40 +0200
Deleted in experimental-release (Reason: None provided.)
lsb (4.1+Debian0~exp2) experimental; urgency=low


   * lsb-base.README.Debian: Document status_of_proc. (Closes: #565631)
   * Tighten more dependencies between lsb packages.
   * Update package relationships to match LSB 4.1:
     - Add lsb-security to lsb-core Depends.
     - Add lsb-multimedia to lsb-desktop Depends.
     - Add libpod-plainer-perl to lsb-languages depends.
   * Rewrite debian/copyright using the copyright-format 1.0.
   * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <email address hidden>  Thu, 15 Mar 2012 11:02:19 +0100
Superseded in experimental-release on 2012-03-19
lsb (4.1+Debian0~exp1) experimental; urgency=low


  * Merge the lsb 3.2+Debian31 Debian release.
  * Tighten dependencies between lsb-* packages.
  * In killproc(), re-add a '--retry 5' to s-s-d when no signal is
    specified. (Closes: #650584)

 -- Didier Raboud <email address hidden>  Sun, 11 Mar 2012 17:34:53 +0100
Superseded in wheezy-release on 2012-04-06
Superseded in sid-release on 2012-04-01
lsb (3.2+Debian31) unstable; urgency=low


  [ Didier Raboud ]
  * Correct a bug number in the 3.2+Debian30 upload.
  * Promote lsb-release to Priority: optional.
  * Fix both unused and undeclared local variables in pidofproc.
    (Closes: #663351)

  [ Peter Eisentraut ]
  * Handle non-world-readable pid files. (Closes: #653598)

 -- Didier Raboud <email address hidden>  Sun, 11 Mar 2012 15:04:47 +0100
Superseded in experimental-release on 2012-03-23
lsb (4.1+Debian0~exp0) experimental; urgency=low


  [ Till Kamppeter ]
  * Add the "lsb-invalid-mta" package, with a fake sendmail. This allows
    the installation of LSB packages to not pull in an MTA any more,
    which once adds awkward configuration questions to the installation
    process and second adds an often unnneeded daemon to the system.
    (LP: #141641)

  [ Didier Raboud ]
  * Upgrade to support LSB 4.1. (Closes: #586191, LP: #385606, #386128)
    LSB changes:
     - Bump Depends:
       - on libglib2.0-0  to >= 2.12.13;
       - on fontconfig    to >= 2.6.0;
       - on libglib2.0-0  to >= 2.12.13;
       - on libatk1.0-0   to >= 1.10.3;
       - on libpango1.0-0 to >= 1.10.4;
       - on libgtk2.0-0   to >= 2.10.14;
     - Add Depends:
       - on libglu1;
       - on libcairo2     to >= 1.2.0;
       - on libxtst6;
       - on ghostscript-cups;
     - In lsb, bump lsb-printing from Suggests to Depends.
     - Add the lsb-security package.
     - Drop the now-obsolete lsb-qt4 package.
    Debian changes:
     - libgl1-mesa-glx is the first alternative for libgl1;
     - Make sure all packages have ${misc:Depends}.

 -- Didier Raboud <email address hidden>  Mon, 05 Mar 2012 22:42:21 +0100
Superseded in sid-release on 2012-03-12
lsb (3.2+Debian30) unstable; urgency=low


  * Drop Depends on essentials sed & ncurses-bin. (Closes: #488237)
  * Don't display Debian revision in lsb_release modules version output.
  * Update Qt4 relationships to current packaging. (Closes: #661888)
  * Remove /lib/ld-lsb-x86-64.so.* only on upgrade. (Closes: #642079)

 -- Didier Raboud <email address hidden>  Mon, 05 Mar 2012 20:15:43 +0100
Superseded in sid-release on 2012-03-06
lsb (3.2+Debian29) unstable; urgency=low


  [ Didier Raboud ]
  * Wrap debian/control package relationship lines.
  * Put under explicit debian-lsb@l.d.o team maintenance.
    (Closes: #616131)
  * Add myself as uploader.
  * Drop Chris Lawrence from Uploaders with great thanks for his past
    work. (Closes: #616131)
  * Define source format as '3.0 (native)'.
  * Reduce debian/rules using tiny dh7 style.
  * Add initial lintian overrides files.
  * Add explicit `set -e` to maintainer scripts.
  * Drop Conflicts/Replaces for old package versions.
  * Install lsb-base-logging.sh on Ubuntu.
  * Update the Homepage field to point to the public URL.
    (Closes: #653917)
  * Depend on cron-daemon, with cron as first alternative.
    (Closes: #638004)
  * Add Vcs-* fields as this will now be maintained on collab-maint's
    Git.
  * Correct URLs to refspecs.{freestandards,linuxbase}.org.
  * Recognise Debian Ports as `sid` too. (Closes: #624769)

  [ Michael Vogt ]
  * Switch from python-central to dh_python2. (Closes: #606354)

  [ Colin Watson ]
  * Ensure that files are closed promptly in lsb_release.py
  * Mark lsb-base Multi-Arch: foreign. (LP: #904013)

  [ Steve Langasek ]
  * Don't run apt-cache if /etc/lsb-release exists.
  * Mark lsb-release Multi-Arch: foreign.
  * Use $DPKG_MAINTSCRIPT_ARCH in maintainer scripts

  [ Simone Rossetto ]
  * Fix for unsupported negative value in pin priorities.
    (Closes: #540208)

  [ Michał Kułach ]
  * Add the Debconf Polish translation. (Closes: #661251)

  [ Jeff Licquia ]
  * Add me to Uploaders.

 -- Didier Raboud <email address hidden>  Thu, 01 Mar 2012 22:04:11 +0100
Superseded in wheezy-release on 2012-03-22
Superseded in sid-release on 2012-03-04
lsb (3.2-28.1) unstable; urgency=low


  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Korean (강민지).  Closes: #632010,#632018
    - Catalan; (Innocent De Marchi).  Closes: #641828

 -- Christian Perrier <email address hidden>  Mon, 16 Jan 2012 07:21:11 +0100
Superseded in wheezy-release on 2012-02-03
Superseded in sid-release on 2012-01-25
lsb (3.2-28) unstable; urgency=low


  * Fix symlinks for AMD64.  (Closes: #638450)
  * Please note the RFA/ITA for this package (#616131).

 -- Chris Lawrence <email address hidden>  Fri, 26 Aug 2011 16:25:30 -0400
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
lsb (3.2-27) unstable; urgency=low
  * Track down another use of dpkg --print-installation-architecture.    (Closes: #610049)  * Various cleanups to init-functions, courtesy of Jari Aalto:    + Use /bin/echo when using options throughout.  (Closes: #602038)    + Use $() command substitution.  (Closes: #602035)    + Use && and || instead of -a and -o.  (Closes: #602037)    + Break long lines.  (Closes: #602039)    + Cleanup use of local.  (Closes: #602042)    + Use single-line statements.  (Closes: #602044)    + Use self-documenting values of variables.  (Closes: #602048) -- Chris Lawrence <email address hidden>  Mon, 17 Jan 2011 14:24:35 -0600
Published in squeeze-release on 2011-01-15
lsb (3.2-23.2squeeze1) testing-proposed-updates; urgency=high
  * Add Debian 6.0 codename (squeeze) to lsb_release.py.  (Closes: #609325) -- Chris Lawrence <email address hidden>  Mon, 10 Jan 2011 20:39:12 -0600
Superseded in sid-release on 2011-09-20
lsb (3.2-26) unstable; urgency=low


  * Fix reversed assignment in compare_release.  (Closes: #540208)
  * Move lsb(8) to lsb-core package.  (Closes: #589101)
  * Update da translation of debconf templates; thanks to Joe Dalton.
    (Closes: #599461)
  
 -- Chris Lawrence <email address hidden>  Wed, 06 Oct 2010 20:35:30 -0500
Superseded in sid-release on 2011-09-20
lsb (3.2-25) unstable; urgency=low


  * Improve release comparison function when 'suite' is missing from
    sources.list.  (Closes: #597667)
  * return 3 in pidofproc() if we can't track down a running copy of
    the process and the pidfile is missing.  (Closes: #597628)
  * Correct location of README.Debian.gz in lsb(8).  (Closes: #589100)
  * Add link to LSB specification in lsb(8).  (Closes: #589102)

 -- Chris Lawrence <email address hidden>  Mon, 27 Sep 2010 01:15:49 -0500
Superseded in sid-release on 2011-09-20
lsb (3.2-24) unstable; urgency=low


  * Improve detection of Debian version when there is a "tie" in
    APT's sources.list.  Patch by Giovanni Mascellani.  (Closes: #540208)
  * Fix test for PID file in init-functions.  Patch by Keith O'Brien.
    (Closes: #545896)
  * Fix reporting for more recent versions of Debian GNU/kFreeBSD.  Patch
    by Gonéri Le Bouder.  (Closes: #595159)
  * Use --print-architecture instead of --print-installation-architecture
    in lsb-core postinst.  (Closes: #542610)
  * Fix formatting error in lsb_release(1).  Patch by Adam Guthrie.
    (Closes: #586575)
  * Update pt_BR translation for debconf messages, thanks to Flamarion Jorge.
    (Closes: #596438)

 -- Chris Lawrence <email address hidden>  Sat, 18 Sep 2010 17:08:17 -0500
Superseded in sid-release on 2011-09-20
Superseded in squeeze-release on 2011-09-13
lsb (3.2-23.1) unstable; urgency=low


  * Non-maintainer upload.
  * Fix dependencies of lsb-core on kfreebsd-* and hurd-* to make the
    package installable. Thanks to Aurelien Jarno for the patch and the
    bugreport.  (Closes: #539284)
  * Set XS-Python-Version to all to make lsb-release available for all
    supported Python versions. Thanks to Sandro Tosi for the bug report.
    (Closes: #570586)
  * Don't make lsb-core conflict with python (>= 2.6).

 -- Jakub Wilk <email address hidden>  Sun, 21 Mar 2010 15:39:47 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
lsb (3.2-23) unstable; urgency=low


  * Fix tests for $TERM in log_use_fancy_output().  (Closes: #537112, #536190)
  * Add libnss3-1d and libqt4-sql-sqlite to lsb-desktop dependencies.
    (Closes: #534277, #534452)
  * Properly trap open() failures in lsb_release.  (Closes: #521462)
  * Ignore empty arguments in /etc/lsb-release.  (Closes: #485565)
    May also fix #514041.
  * Better test for existant but unreadable PID file.  (Closes: #527890)
  * Add some punctuation to log_{warning,failure}_msg.  (Closes: #525684)
  * lsb-core depends on cups-bsd | lpr, since it is more likely that
    someone in 2009 will have CUPS installed already than want to use lpr
    instead.  (Closes: #512098)

 -- Chris Lawrence <email address hidden>  Tue, 21 Jul 2009 04:03:41 -0500
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
lsb (3.2-22) unstable; urgency=low


  * Fix quoting of $PWD in start-stop-daemon call.  (Closes: #520499)

 -- Chris Lawrence <email address hidden>  Fri, 20 Mar 2009 11:40:50 -0500
Superseded in sid-release on 2011-09-20
lsb (3.2-21) unstable; urgency=low


  * Provide lsb_release module for Python applications.  (Closes: #486262)
  * Change working directory to $PWD in start-stop-daemon, for better
    compatibility with LSB applications.  (Closes: #519817)
  * return 3 rather than 4 in pidofproc if a PID file is specified and
    the daemon is not found.  (Closes: #494623)
  * Improve handling of future testing versions unknown to lsb-release.
    Patch by Jan Muszynski (Closes: #517594).
  * Fix DeprecationWarning with Python 2.6; patch from Colin Watson and
    Anders Kaseorg.  (Closes: #517819)
  * Bypass guess_debian_release() if /etc/lsb-release is complete.
    Patch from Scott James Remnant.  (Closes: #511952)
  * 'time' was missing from lsb-core dependencies.  (Closes: #510488)
  * Demote lsb to a suggestion by lsb-release.  (Closes: #509611)

 -- Chris Lawrence <email address hidden>  Thu, 19 Mar 2009 16:29:25 -0500
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
Published in lenny-release on 2008-10-29
lsb (3.2-20) unstable; urgency=low


  * Revert change in 3.2-16 that broke killproc due to my misunderstanding
    of the spec.  (Closes: #495587)
  * pidofproc now also checks for /var/run/$base.pid if -p is not specified,
    fixing conformance with the spec.

 -- Chris Lawrence <email address hidden>  Mon, 18 Aug 2008 16:34:24 -0500
148 of 48 results